Subject: [PATCHv10 0/5] ARM: remove the sub-node and deprecate supports-highspeed property for dwmmc.

From: [email-masked] (Pavel Machek)
Date: Mon, 25 Aug 2014 13:37:19 +0200

On Mon 2014-08-25 20:28:21, Jaehoon Chung wrote:
> On 08/25/2014 08:21 PM, Pavel Machek wrote:
> > On Thu 2014-08-07 16:37:57, Jaehoon Chung wrote:
> >> Since used the mmc_of_parse(), didn't parse the sub-node.
> >> So we can remove the sub-node, because almost SoC used the only one card per a host.
> >> And supports-highspeed can be replaced with "cap-mmc/sd-highspeed"
> >> property.
> > 
> > Would it be better to fix parsing of the device tree, and not to
> > change all the device trees?
> > 
> > Someone will want to do two slots sooner or later...
> > 
> 
> First, I had considered that controller can be supported the multiple slot.
> But MMC maintainers and other people suggested that consider the only one card per a host.
> Two slots or more don't have any benefit, (power or performance, etc).

Would you elaborate?

If I have a device like a phone, I may want to put one "slot" inside
phone for basic system, and offer second slot for user expansion
(initially empty).

Or I may want to have internal slot with a card to boot from and have
external slot (initially empty) for system update for embedded system.

I see quite an obvious benefit there.
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html